Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRTextMeasurerUtil

    java.lang.Object
      net.sf.jasperreports.engine.util.JRTextMeasurerUtil

    public final class JRTextMeasurerUtil

extends java.lang.Object

Text measurer utility class.

Version:
  $Id: JRTextMeasurerUtil.java 3712 2010-04-08 09:53:09Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRTextMeasurer`, `JRTextMeasurerFactory`

Field Summary
`static java.lang.String` | `PROPERTY_TEXT_MEASURER_FACTORY` Property that specifies a text measurer factory.

Method Summary
`static JRTextMeasurer` | `createTextMeasurer(JRCommonText text)` Creates a text measurer for a text object.
`static JRTextMeasurer` | `createTextMeasurer(JRCommonText text, JRPropertiesHolder propertiesHolder)` Creates a text measurer for a text object.
`static JRTextMeasurerFactory` | `getTextMeasurerFactory(JRPropertiesHolder propertiesHolder)` Returns the text measurer factory given a set of properties.
`protected static java.lang.String` | `getTextMeasurerFactoryClass(JRPropertiesHolder propertiesHolder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_TEXT_MEASURER_FACTORY

    public static final java.lang.String PROPERTY_TEXT_MEASURER_FACTORY

  Property that specifies a text measurer factory.

  This property can either hold the name of a text measurer factory class, e.g. ``

       net.sf.jasperreports.text.measurer.factory=org.me.MyTextMeasurerFactory

  or hold an alias of a text measurer factory class property, e.g. `

       net.sf.jasperreports.text.measurer.factory=myTextMeasurer
       ...
       net.sf.jasperreports.text.measurer.factory.myTextMeasurer=org.me.MyTextMeasurerFactory

  `

  See Also:
    `JRTextMeasurerFactory`, Constant Field Values

Method Detail

### createTextMeasurer

    public static JRTextMeasurer createTextMeasurer(JRCommonText text)

  Creates a text measurer for a text object.

  If the text object is an instance of `JRPropertiesHolder`, its properties are used when determining the text measurer factory.

  Parameters:
    `text` - the text object
  Returns:
    a text measurer for the text object

### createTextMeasurer

    public static JRTextMeasurer createTextMeasurer(JRCommonText text,
                                                    JRPropertiesHolder propertiesHolder)

  Creates a text measurer for a text object.

  Parameters:
    `text` - the text object
    `propertiesHolder` - the properties to use for determining the text measurer factory; can be `null`
  Returns:
    a text measurer for the text object

### getTextMeasurerFactory

    public static JRTextMeasurerFactory getTextMeasurerFactory(JRPropertiesHolder propertiesHolder)

  Returns the text measurer factory given a set of properties.

  Parameters:
    `propertiesHolder` - the properties holder
  Returns:
    the text measurer factory

### getTextMeasurerFactoryClass

    protected static java.lang.String getTextMeasurerFactoryClass(JRPropertiesHolder propertiesHolder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com